<?php
/*
********************************************************************************
 ADVANCED NEWS plugin for CMSimple
 ------------------------------------
 Author  :  Jan Kanters - jan.kanters@telenet.be or webmaster@jat-at-home.be
 Date    :  02/11/2005 (dd/mm/yyyy)
 Version :  V 1.0.0
 Remarks :  - uses the flatfile database class Copyright (c) 2005 Luke Plant <L.Plant.98@cantab.net>
            - external WYSIWYG editors by their proper owners
            - Date Picker by Copyright (c) 2003 TengYong Ng http://www.rainforestnet.com

 For changes, please see changelog file

********************************************************************************
*/

if(isset($advancednews)){
    //check if register_globals is turned OFF
    if (!ini_get ("register_globals")){
        extract($HTTP_GET_VARS);
        extract($HTTP_POST_VARS);
        extract($HTTP_COOKIE_VARS);
        extract($HTTP_ENV_VARS);
        extract($HTTP_SERVER_VARS);
    }
    ini_set('safe_mode','1');
    // global variables
    global $pth,$cf,$tx,$cl,$u,$sn,$s,$c,$h,$plugin_cf,$plugin_tx;
    // retrieve posted plugin variables
    $admin= isset($_POST['admin']) ? $_POST['admin'] : $_GET['admin'];
    $action= isset($_POST['action']) ? $_POST['action'] : $_GET['action'];
    // get plugin name
    $plugin=basename(dirname(__FILE__),"/");
    // Date Picker settings
    $monthnames=explode(",",$plugin_tx[$plugin]['news_month_names']);
    foreach($monthnames as $key=>$value){$months=$months.'"'.$value.'",';}
    $months=substr($months,0,strlen($months)-1);
    $daynames1=explode(",",$plugin_tx[$plugin]['news_weekday_names1']);
    foreach($daynames1 as $key=>$value){$days1=$days1.'"'.$value.'",';}
    $days1=substr($days1,0,strlen($days1)-1);
    $daynames2=explode(",",$plugin_tx[$plugin]['news_weekday_names2']);
    foreach($daynames2 as $key=>$value){$days2=$days2.'"'.$value.'",';}
    $days2=substr($days2,0,strlen($days2)-1);
//    $o.=print_plugin_admin('OFF',"off");
    // add date picker settings variables to the page <HEAD>
//    $hjs.='<script type="text/javascript">var MonthName=['.$months.'];var WeekDayName1=['.$days1.'];var WeekDayName2=['.$days2.'];      var DateSeparator="'.$plugin_tx[$plugin]['news_date_separator'].'";var MondayFirstDay='.$plugin_tx[$plugin]['news_date_mondayfirstday'].';</script>';
    // Link to Date Picker js to the page <HEAD>
//    $hjs.='<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/datepicker/datetimepicker.js"></script>';
// Start added JAT 29/10/2005 //
    // New calender plugin
    $hjs.="<link rel=\"stylesheet\" type=\"text/css\" media=\"all\" href=\"".$pth['folder']['plugins'].$plugin."/jscalendar/calendar-system.css\" />";
    $hjs.='<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/jscalendar/calendar.js"></script>';
    $hjs.='<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/jscalendar/lang/calendar-'.$sl.'.js"></script>';
    $hjs.='<script type="text/javascript" src="'.$pth['folder']['plugins'].$plugin.'/jscalendar/calendar-setup.js"></script>';
// End added JAT 29/10/2005 //

    if ($action=="delete_news"||$action=="add_news"||$action=="modify_news" ){
        // Selection of external editors
        switch(strtolower($plugin_cf[$plugin]['news_editor'])){
            case 'fckeditor':
                //FCKeditor
                require_once($pth['folder']['plugins'].'advancednews/include/jat_fckeditor.php');
                break;
            case 'tinymce':
                //TINY_MCE
                require_once($pth['folder']['plugins'].'advancednews/include/jat_tiny_mce.php');
                break;
            case 'htmlarea':
                // HTMLArea
                require_once($pth['folder']['plugins'].'advancednews/include/jat_htmlarea.php');
                break;
            case 'xinha':
                // Xinha
                require_once($pth['folder']['plugins'].'advancednews/include/jat_xinha.php');
                break;
        }
    }
    // set general variables for the plugin
    // TO DO: check if these folders exist - if not, exit plugin...
    $plugin_images_folder=$pth['folder']['plugins'].$plugin."/images/";
    $plugin_include_folder=$pth['folder']['plugins'].$plugin."/include/";
    $pth['file']['plugin_stylesheet']=$pth['folder']['plugins'].$plugin.'/css/stylesheet.css';
    $pth['file']['plugin_config']=$pth['folder']['plugins'].$plugin.'/config/config.php';
    $pth['file']['plugin_language']=$pth['folder']['plugins'].$plugin.'/languages/'.$sl.'.php';
    $pth['file']['plugin_help']=$pth['folder']['plugins'].$plugin.'/help/help.htm';
    $db_path=$pth['folder']['plugins'].$plugin."/data/";
    $db_name="news-".$sl.".txt";
//    $o.=print_plugin_admin('on');
// START 30/10/2005 [JAT]
    // Build the ADVANCEDFORM plugin Administration dropdown list
    $o .="<table class='edit' width='100%' cellpadding='1' cellspacing='0' border='1'>
    <tr><td align=\"left\" width=\"45%\">".strtoupper($plugin)."</td>
    <td width=\"55%\"><select name=\"cboPluginOptions\" onchange=\"location.href=this.options[this.selectedIndex].value\"><option value=\"$sn?&amp;$plugin&amp;normal\">".$plugin_tx[$plugin]['mnu_choice']."</option>";
    $o .="<option value=\"$sn?&amp;$plugin&amp;admin=plugin_main&amp;action=plugin_text\"";if ($_GET['admin']=='plugin_main') $o .= "selected=\"   selected\"";
    $o .=">".ucfirst($plugin_tx[$plugin]['mnu_main'])."</option>";
    $o .="<option value=\"$sn?&amp;$plugin&amp;admin=plugin_stylesheet&amp;action=plugin_text&amp;a=plugin_text\"";if ($_GET['admin']=='plugin_stylesheet') $o .= "selected=\"   selected\"";
    $o .=">".ucfirst($plugin_tx[$plugin]['mnu_css'])."</option>";
    $o .="<option value=\"$sn?&amp;$plugin&amp;admin=plugin_config&amp;action=plugin_edit\"";if ($_GET['admin']=='plugin_config') $o    .= "selected=\"selected\"";
    $o .=">".ucfirst($plugin_tx[$plugin]['mnu_config'])."</option>";
    $o .="<option value=\"$sn?&amp;$plugin&amp;admin=plugin_language&amp;action=plugin_edit\"";if ($_GET['admin']=='plugin_language'    ) $o .= "selected=\"selected\"";
    $o .=">".ucfirst($plugin_tx[$plugin]['mnu_language'])."</option>";
    $o .="</select>&nbsp;&nbsp;<a href=".$pth['file']['plugin_help']." target=\"_blank\"><img src=\"".$plugin_images_folder."btn_help.png\" alt=\"".$plugin_tx[$plugin]['mnu_help']."\"></img></a></td></table>";
    // End ADVANCEDFORM plugin Administration dropdown list
// END 30/10/2005 [JAT]]
  	if($admin<>'plugin_main'){$o.=plugin_admin_common($action,$admin,$plugin);}
    if($admin=='')$o.="<div style=\"font-size: 10px\">Advanced News plugin V 1.0.0 (02/11/2005) for CMSimple - by JAT</div>";
    // include the flatfile database class
    // TO DO: check if this file exists
    require_once($plugin_include_folder."flatfile.php");
    // declare the news database fields
    require_once($plugin_include_folder."fields.php");
    // connect to the news database file
    $db = new Flatfile();
    $db->datadir = $db_path;
    if ($admin == 'plugin_main'){
        // Verify date format settings & make correct date format for the datepicker.js script
        $my_date_format1=split('[/]',$plugin_tx[$plugin]['news_date_format']);
        if (count($my_date_format1)>1){$date_separator1="/";}else{
            $my_date_format1=split('[.]',$plugin_tx[$plugin]['news_date_format']);
            if (count($my_date_format1)>1){$date_separator1=".";}else{
                $my_date_format1=split('[-]',$plugin_tx[$plugin]['news_date_format']);
            if (count($my_date_format1)>1){$date_separator1="-";}
                }
        }
        for($aCounter1=0;$aCounter1<=2;$aCounter1++){
            switch ($my_date_format1[$aCounter1]){
                case 'd':
                    $cal_date_format1[$aCounter1]="%d";
                    break;
                case 'm':
                    $cal_date_format1[$aCounter1]="%m";
                    break;
                case 'y':
                    $cal_date_format1[$aCounter1]="%y";
                    break;
                case 'Y':
                    $cal_date_format1[$aCounter1]="%Y";
                    break;
            }
        }
        foreach($cal_date_format1 as $key=>$value){
            $cal_format.=($key<count($my_date_format1)-1)?$value.$date_separator1:$value;
        }
        // retrieve posted plugin variables
        $newsID= isset($_POST['newsID']) ? $_POST['newsID'] : $_GET['newsID'];
        $page= isset($_POST['page']) ? $_POST['page'] : $_GET['page'];
        $do= isset($_POST['do']) ? $_POST['do'] : $_GET['do'];
        $filter= isset($_POST['filter']) ? $_POST['filter'] : $_GET['filter'];
        // retrieve posted Form fields information
        $news_id= isset($_POST['news_id']) ? $_POST['news_id'] : $_GET['news_id'];
        $news_date= isset($_POST['news_date']) ? $_POST['news_date'] : $_GET['news_date'];
        $news_title= isset($_POST['news_title']) ? $_POST['news_title'] : $_GET['news_title'];
        $news_headline= isset($_POST['news_headline']) ? $_POST['news_headline'] : $_GET['news_headline'];
        $news_story= isset($_POST['news_story']) ? $_POST['news_story'] : $_GET['news_story'];
        $news_frontpage= isset($_POST['news_frontpage']) ? $_POST['news_frontpage'] : $_GET['news_frontpage'];
        $news_rssfeed= isset($_POST['news_rssfeed']) ? $_POST['news_rssfeed'] : $_GET['news_rssfeed'];
        $news_startdate= isset($_POST['news_startdate']) ? $_POST['news_startdate'] : $_GET['news_startdate'];
        $news_enddate= isset($_POST['news_enddate']) ? $_POST['news_enddate'] : $_GET['news_enddate'];
        $news_status= isset($_POST['news_status']) ? $_POST['news_status'] : $_GET['news_status'];
        $filter1= isset($_POST['filter1']) ? $_POST['filter1'] : $_GET['filter1'];
        $filter2= isset($_POST['filter2']) ? $_POST['filter2'] : $_GET['filter2'];
        $filter3= isset($_POST['filter3']) ? $_POST['filter3'] : $_GET['filter3'];
        $newstopics= isset($_POST['newstopics']) ? $_POST['newstopics'] : $_GET['newstopics'];
        $batchdelete_x= isset($_POST['batchdelete_x']) ? $_POST['batchdelete_x'] : $_GET['batchdelete_x'];
        $changestatus_x= isset($_POST['changestatus_x']) ? $_POST['changestatus_x'] : $_GET['changestatus_x'];
        $batchchangestatus= isset($_POST['batchchangestatus']) ? $_POST['batchchangestatus'] : $_GET['batchchangestatus'];
        $newstatus= isset($_POST['newstatus']) ? $_POST['newstatus'] : $_GET['newstatus'];
        // perform the appropriate action for the selected record
        if ($action=="delete_news"||$action=="add_news"||$action=="modify_news" ){
            $o.=newsform($newsID,$action,$page);
        }
        // add new news item to the database or modify the selected news item
        if ($do=="add" || $do=="modify"){
            $news_date=make_timestamp_date($news_date);
            $newsitem[NEWS_DATE] = $news_date;
            $newsitem[NEWS_TITLE] = strip_tags(stripslashes($news_title));
            $newsitem[NEWS_HEADLINE] = strip_tags(stripslashes($news_headline));
            $newsitem[NEWS_STORY] = stripslashes($news_story);
            $newsitem[NEWS_FRONTPAGE] = $news_frontpage;
            $newsitem[NEWS_STARTDATE] = make_timestamp_date($news_startdate);
            $newsitem[NEWS_ENDDATE] = make_timestamp_date($news_enddate);
            $newsitem[NEWS_STATUS] = $news_status;
            $newsitem[NEWS_RSSFEED]=$news_rssfeed;
            if ($do=="add"){
                $newsitem[NEWS_ID] = '0'; // dummy
                $newId = $db->insertWithAutoId($db_name, NEWS_ID, $newsitem);
                $title=$plugin_tx[$plugin]['news_tooltip_add'];
                $info=$plugin_tx[$plugin]['news_story_added'];
                $o.=db_confirm($title,$info,$page);
            }
            if ($do=="modify"){
                $newsitem[NEWS_ID] = $news_id;
                $newId = $db->updateRowById($db_name, NEWS_ID, $newsitem);
                $title=$plugin_tx[$plugin]['news_tooltip_modify'];
                $info=$plugin_tx[$plugin]['news_story_modified'];
                $o.=db_confirm($title,$info,$page);
            }
        }
        // delete the selected news item
        if ($do=="delete"){
            $page=$_SESSION['page'];
            $db->deleteWhere($db_name,new SimpleWhereClause(NEWS_ID, '=', $news_id),INTEGER_COMPARISON);
            $title=$plugin_tx[$plugin]['news_tooltip_delete'];
            $info=$plugin_tx[$plugin]['news_story_deleted'];
            $o.=db_confirm($title,$info,$page);
        }
        // batch delete of the selected news item
        if ($do=="delselected"){
            foreach($newstopics as $key=>$delnews_id){$db->deleteWhere($db_name,new SimpleWhereClause(NEWS_ID, '=', $delnews_id),INTEGER_COMPARISON);}
            $title=$plugin_tx[$plugin]['news_tooltip_deleteall'];
            $info=$plugin_tx[$plugin]['news_deleteall_done'];
            $o.=db_confirm($title,$info,$page);
        }
        // batch status change of the selected news item
        if ($do=="batchchangestatus"){
            if (isset($_SESSION['page'])){$page=$_SESSION['page'];}
            if ($newstatus!='' && ($newstatus==0 || $newstatus==1 || $newstatus==2)){
                foreach($newstopics as $key=>$changenews_id){$newsitem[NEWS_ID] = $changenews_id;$newsitem[NEWS_STATUS] = $newstatus;$db->updateRowById($db_name, NEWS_ID, $newsitem);}
                $title=$plugin_tx[$plugin]['news_tooltip_changestatus'];
                $info=$plugin_tx[$plugin]['news_changestatus_done'];
                $o.=db_confirm($title,$info,$page);
            }else{
                $title=$plugin_tx[$plugin]['news_tooltip_changestatus'];
                $info=$plugin_tx[$plugin]['news_nochangestatus_done'];
                $o.=db_confirm($title,$info,$page);
            }
        }

        //
        if ($action ==="plugin_text"){
            // delete the selected news items
            if (isset($batchdelete_x)){
                $title=$plugin_tx[$plugin]['news_tooltip_deleteall'];
                $info=$plugin_tx[$plugin]['news_confirm_deleteall'];
                if (count($newstopics)>0){
                    // Confirm batch delete of the selected news topics
                    $o="<div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
                    $o.="<div>&nbsp;</div>";
                    $o.="<form name=\"confirm\" method=\"post\" action=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main\">";
                    $o.="<table width=\"100%\"><tbody>";
                    foreach($newstopics as $value=>$key){$o.="<input type=\"hidden\" name=\"newstopics[]\" value=\"".$key."\" />";}
                    $o.="<input type=\"hidden\" name=\"page\" value=\"".$page."\" />";
                    $o.="<input type=\"hidden\" name=\"do\" value=\"delselected\" />";
                    $o.="<tr><td class=\"confirm_info\" align=\"center\">".$info."</td></tr><tr><td>&nbsp;</td></tr>";
                    $o.="<tr><td class=\"confirm_button\" align=\"center\"><input type=\"submit\" name=\"submit\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_delete']."&nbsp;\">&nbsp;&nbsp;<input type=\"button\" name=\"cancel\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_cancel']."&nbsp;\" onclick='location.href=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text&amp;page=".$page."\"' /></td></tr>";
                    $o.="</tbody></table></form>";
                    $o.="<div>&nbsp;</div>";
                }else{
                    // Nothing selected
                    $info=$plugin_tx[$plugin]['news_nothing_selected'];
                    $o="<div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
                    $o.="<div>&nbsp;</div>";
                    $o.="<form name=\"confirm\" method=\"post\" action=\"".$sn."?&".$plugin."&admin=plugin_main&amp;action=plugin_text\">";
                    $o.="<table width=\"100%\"><tbody>";
                    $o.="<tr><td class=\"confirm_info\" align=\"center\">".$info."</td></tr><tr><td>&nbsp;</td></tr>";
                    $o.="<tr><td class=\"confirm_button\" align=\"center\"><input type=\"button\" name=\"cancel\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_ok']."&nbsp;\" onclick='location.href=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text&amp;page=".$page."\"' /></td></tr>";
                    $o.="</tbody></table></form>";
                    $o.="<div>&nbsp;</div>";
                }
                return($o);
                break;
            }
            // batch status change of the selected news items
            if (isset($changestatus_x)){
                session_register('page');
                $_SESSION['page']=$page;
                session_write_close();
                $title=$plugin_tx[$plugin]['news_tooltip_changestatus'];
                $info=$plugin_tx[$plugin]['news_confirm_changestatus'];
                if (count($newstopics)>0){
                    // Confirm batch status change of the selected news topics
                    $o="<div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
                    $o.="<div>&nbsp;</div>";
                    $o.="<form name=\"confirm\" method=\"post\" action=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main\">";
                    $o.="<table width=\"100%\"><tbody>";
                    foreach($newstopics as $value=>$key){$o.="<input type=\"hidden\" name=\"newstopics[]\" value=\"".$key."\">";}
                    $o.="<input type=\"hidden\" name=\"page\" value=\"".$page."\" />";
                    $o.="<input type=\"hidden\" name=\"do\" value=\"batchchangestatus\" />";
                    $o.="<td width=\"100%\"  align=\"center\"><select name=\"newstatus\"><option value=\"\">".$plugin_tx[$plugin]['news_newstatus']."</option><option value=\"0\">".$plugin_tx[$plugin]['news_readyforpublishing']."</option><option value=\"1\">".$plugin_tx[$plugin]['news_published']."</option><option value=\"2\">".$plugin_tx[$plugin]['news_archived']."</option></select></td>";
                    $o.="<tr><td class=\"confirm_info\" align=\"center\">".$info."</td></tr><tr><td>&nbsp;</td></tr>";
                    $o.="<tr><td class=\"confirm_button\" align=\"center\"><input type=\"submit\" name=\"submit\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_ok']."&nbsp;\">&nbsp;&nbsp;<input type=\"button\" name=\"cancel\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_cancel']."&nbsp;\" onclick='location.href=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text&amp;page=".$page."\"' /></td></tr>";
                    $o.="</tbody></table></form>";
                    $o.="<div>&nbsp;</div>";
                }else{
                    // Nothing selected
                    $info=$plugin_tx[$plugin]['news_nothing_selected'];
                    $o="<div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
                    $o.="<div>&nbsp;</div>";
                    $o.="<form name=\"confirm\" method=\"post\" action=\"".$sn."?&".$plugin."&admin=plugin_main\">";
                    $o.="<table width=\"100%\"><tbody>";
                    $o.="<tr><td class=\"confirm_info\" align=\"center\">".$info."</td></tr><tr><td>&nbsp;</td></tr>";
                    $o.="<tr><td class=\"confirm_button\" align=\"center\"><input type=\"button\" name=\"cancel\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_ok']."&nbsp;\" onclick='location.href=\"".$sn."?&".$plugin."&admin=plugin_main&action=plugin_text&page=".$page."\"' /></td></tr>";
                    $o.="</tbody></table></form>";
                    $o.="<div>&nbsp;</div>";
                }
                return($o);
                break;
            }

            if ($filter!="true"){
                $compClause=NULL;
            }
            else{
              if ($filter1=='on'&&$filter2=='on'&&$filter3=='on'||$filter1!='on'&&$filter2!='on'&&$filter3!='on'){$compClause=NULL;}
              if ($filter1=='on'&&$filter2!='on'&&$filter3!='on'){$compClause=new SimpleWhereClause(NEWS_STATUS,"=",0);}
              if ($filter1!='on'&&$filter2=='on'&&$filter3!='on'){$compClause=new SimpleWhereClause(NEWS_STATUS,"=",1);}
              if ($filter1!='on'&&$filter2!='on'&&$filter3=='on'){$compClause=new SimpleWhereClause(NEWS_STATUS,"=",2);}
              if ($filter1=='on'&&$filter2=='on'&&$filter3!='on'){$compClause=new OrWhereClause(new SimpleWhereClause(NEWS_STATUS,"=",0,INTEGER_COMPARISON),new SimpleWhereClause(NEWS_STATUS,"=",1,INTEGER_COMPARISON));}
              if ($filter1=='on'&&$filter2!='on'&&$filter3=='on'){$compClause=new OrWhereClause(new SimpleWhereClause(NEWS_STATUS,"=",0,INTEGER_COMPARISON),new SimpleWhereClause(NEWS_STATUS,"=",2,INTEGER_COMPARISON));}
              if ($filter1!='on'&&$filter2=='on'&&$filter3=='on'){$compClause=new OrWhereClause(new SimpleWhereClause(NEWS_STATUS,"=",1,INTEGER_COMPARISON),new SimpleWhereClause(NEWS_STATUS,"=",2,INTEGER_COMPARISON));}
            }
            $records=$db->selectWhere($db_name,$compClause,-1,new OrderBy(NEWS_ID,DESCENDING,INTEGER_COMPARISON));
            // Set limit of record in the table
            $page_record_limit=$plugin_cf[$plugin]['news_admin_records_page'];
            if($page_record_limit<=0){$page_record_limit=10;}
            if($page_record_limit>=50){$page_record_limit=32;}
            // Count the total records
            $db_total_records=count($records);
            // Calculate the number of possible pages
            $page_total = ($db_total_records%$page_record_limit==0)?((int)$db_total_records/$page_record_limit):((int)($db_total_records/$page_record_limit)+1);
            // Calculate table paging
            $o.="<div><h4>".ucfirst($plugin)."  ".strtoupper($plugin_tx[$plugin]['news_story_overview'])."</h4></div>";
            if ($page>$page_total){$page=1;}
            if($page=="" || $page<=0 || $page==1){$start_index=0;$page = 1;}else{$start_index = (($page-1)*($page_record_limit));}
            // Display news items overview
            $tstfilter1=($filter1=='on')?"CHECKED":"";
            $tstfilter2=($filter2=='on')?"CHECKED":"";
            $tstfilter3=($filter3=='on')?"CHECKED":"";
            $o.="<div>";
            $o.="<form name=\"selectstatus\" method=\"post\" action=\"$sn?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text\">";
            $o.="<table width=\"100%\"><tr>";
            $o.="<td width=\"35%\"><input type=\"checkbox\" name=\"filter1\"".$tstfilter1." />&nbsp;".$plugin_tx[$plugin]['news_readyforpublishing']."</td>";
            $o.="<td width=\"30%\"><input type=\"checkbox\" name=\"filter2\"".$tstfilter2." />&nbsp;".$plugin_tx[$plugin]['news_published']."</td>";
            $o.="<td width=\"30%\"><input type=\"checkbox\" name=\"filter3\"".$tstfilter3." />&nbsp;".$plugin_tx[$plugin]['news_archived']."</td>";
            $o.="<td width=\"5%\" ><input type=\"image\" align=\"middle\" src=\"".$plugin_images_folder."btn_filter.png\" name=\"send\" value=\"Apply filter\" alt=\"".$plugin_tx[$plugin]['news_btn_search']."\" /></td>";
            $o.="</tr></table>";
            $o.="<input type=\"hidden\" name=\"filter\" value=\"true\" />";
            $o.="</form></div>";
            // Display table header
            $o.="<div><form method=\"post\" action=\"$sn?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text\"><table class=\"news_table\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">";
            $o.="<tr><td class=\"news_table_header\" align=\"center\" width=\"4%\"><input type=\"image\" align=\"middle\" src=\"".$plugin_images_folder."btn_delsel.png\" name=\"batchdelete\" value=\"true\" alt=\"".$plugin_tx[$plugin]['news_tooltip_deleteall']."\"></td><td class=\"news_table_header\" align=\"center\" width=\"4%\"><input type=\"image\" align=\"middle\" src=\"".$plugin_images_folder."btn_status.png\" name=\"changestatus\" value=\"true\" alt=\"".$plugin_tx[$plugin]['news_tooltip_changestatus']."\"></td><td class=\"news_table_header\" align=\"center\" width=\"4%\"><a href=\"$sn?&amp;".$plugin."&amp;admin=plugin_main&amp;action=add_news\"><img src=\"".$plugin_images_folder."btn_add.gif\" align=\"middle\" alt=\"".$plugin_tx[$plugin]['news_tooltip_add']."\"></img></a></td><td class=\"news_table_header\" align=\"center\"width=\"10%\">".$plugin_tx[$plugin]['news_id_label']."</td><td class=\"news_table_header\" align=\"center\"width=\"20%\">".$plugin_tx[$plugin]['news_date_label']."</td><td class=\"news_table_header\">".$plugin_tx[$plugin]['news_title_label']."</td></tr></table></div>";
            $o.="<div class=\"news_table_details\"><table border=\"0\" width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">";
            $end_index=$page*$page_record_limit-1;
            // Display table lines
            for($record_index=$start_index;$record_index<=$end_index;$record_index++){
                if($record_index>$db_total_records-1){
                    $o.="<tr><td class=\"news_table_line\" align=\"center\" width=\"4%\">&nbsp;</td><td class=\"news_table_line\" align=\"center\" width=\"4%\">&nbsp;</td><td class=\"news_table_line\" align=\"center\" width=\"4%\">&nbsp;</td><td  class=\"news_table_line\" align=\"center\" width=\"10%\">&nbsp;</td><td  class=\"news_table_line\" align=\"center\" width=\"10%\">&nbsp;</td><td class=\"news_table_line\">&nbsp;</td></tr>";
                }else{
                    $field=$records[$record_index];
                    $o.="<tr><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><input type=\"checkbox\" name=\"newstopics[]\" value=\"".$field[NEWS_ID]."\"></td><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><a href=\"$sn?&".$plugin."&admin=plugin_main&action=delete_news&newsID=".$field[NEWS_ID]."&page=".$page."\"><img src=\"".$plugin_images_folder."btn_delete.gif\" align=\"middle\" alt=\"".$plugin_tx[$plugin]['news_tooltip_delete']."\"></img></a></td><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><a href=\"$sn?&".$plugin."&admin=plugin_main&action=modify_news&newsID=".$field[NEWS_ID]."&page=".$page."\"><img src=\"".$plugin_images_folder."btn_modify.gif\" align=\"middle\" alt=\"".$plugin_tx[$plugin]['news_tooltip_modify']."\"></img></a></td><td  class=\"news_table_line\" valign=\"top\" align=\"right\" width=\"10%\">".$field[NEWS_ID]."</td><td align=\"center\" valign=\"top\" class=\"news_table_line\" width=\"20%\">".date($plugin_tx[$plugin]['news_date_format'],$field[NEWS_DATE])."</td><td valign=\"top\"class=\"news_table_line\">".$field[NEWS_TITLE]."</td></tr>";
                    //$o.="<tr><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><input type=\"checkbox\" name=\"newstopics[]\" value=\"".$field[NEWS_ID]."\"></td><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><a href=\"$sn?&".$plugin."&admin=plugin_main&action=delete_news&newsID=".$field[NEWS_ID]."&page=".$page."\"><img src=\"".$plugin_images_folder."btn_delete.gif\" align=\"middle\" alt=\"".$plugin_tx[$plugin]['news_tooltip_delete']."\"></img></a></td><td class=\"news_table_line\" valign=\"top\" align=\"center\" width=\"4%\"><a href=\"$sn?&".$plugin."&admin=plugin_main&action=modify_news&newsID=".$field[NEWS_ID]."&page=".$page."\"><img src=\"".$plugin_images_folder."btn_modify.gif\" align=\"middle\" alt=\"".$plugin_tx[$plugin]['news_tooltip_modify']."\"></img></a></td><td  class=\"news_table_line\" valign=\"top\" align=\"right\" width=\"10%\">".$field[NEWS_ID]."</td><td align=\"center\" valign=\"top\" class=\"news_table_line\" width=\"20%\">".date($plugin_tx[$plugin]['news_date_format'],$field[NEWS_DATE])."</td><td valign=\"top\"class=\"news_table_line\">".$field[NEWS_TITLE]."</td></tr>";
                }
            }
            $o.="</table></div>";
            $o.="<input type=\"hidden\" name=\"page\" value=\"".$page."\"></form><div>&nbsp;</div>";
            // Display table paging
            $tmp=($db_total_records>0)? "".$plugin_tx[$plugin]['news_page_label']." : ".$page." / ".$page_total :"";
            $o.="<div class=\"paging_block\"><div class=\"db_info\">".$plugin_tx[$plugin]['news_record_count']." : ".$db_total_records."</div><div class=\"page_info\">&nbsp;&nbsp;&nbsp;".$tmp."</div>";
            if ($db_total_records>0 && $page_total>1){
                if($page_total>$page){
                    $next = $page+1;
                    $back = ($page>1)?($next-2):"1";
                }else{$next = $page_total;$back=$page_total-1;}
                $o.="<div class=\"table_paging\"><a href=\"".$sn."?&".$plugin."&admin=plugin_main&action=plugin_text&page=".$back."\" title=\"".$plugin_tx[$plugin]['news_tooltip_previous']."\"><img src=\"".$plugin_images_folder."btn_previous.gif\"></img></a>&nbsp;&nbsp;";
                for($tt=1;$tt<=$page_total;$tt++){
                    $separator=($tt<$page_total)?" ":"";
                    $o.="<a href=\"".$sn."?&".$plugin."&admin=plugin_main&action=plugin_text&page=".$tt."\" title=\"".$plugin_tx[$plugin]['news_page_label']." ".$tt."\">[".$tt."]</a>".$separator;
                }
                $o.="&nbsp;&nbsp;<a href=\"".$sn."?&amp;".$plugin."&amp;admin=plugin_main&amp;action=plugin_text&amp;page=".$next."\" title=\"".$plugin_tx[$plugin]['news_tooltip_next']."\"><img src=\"".$plugin_images_folder."btn_next.gif\"></img></a>";
                $o.="</div>";
            }
            $o.="</div>";
        }
    }
}

function newsform($NewsID=NULL,$action=NULL,$ret_page=1){
    global $pth,$plugin,$plugin_cf,$plugin_tx,$sn,$db_name,$db_path,$plugin_images_folder,$cf,$tx,$cal_format;
    $db = new Flatfile();
    $db->datadir = $db_path;
    switch ($action){
        case "add_news":
            $title=$plugin_tx[$plugin]['news_tooltip_add'];
            $news_date=date($plugin_tx[$plugin]['news_date_format'],time());
            $news_startdate=date($plugin_tx[$plugin]['news_date_format'],time());
            $news_enddate=date($plugin_tx[$plugin]['news_date_format'],time());
            break;
        case "modify_news":
            $title=$plugin_tx[$plugin]['news_tooltip_modify']." [ID: ".$NewsID."]";
            break;
        case "delete_news":
            $title=$plugin_tx[$plugin]['news_tooltip_delete']." [ID: ".$NewsID."]";
            break;
    }
    if($action==="modify_news"||$action==="delete_news"){
       $record=$db->selectUnique($db_name,NEWS_ID,$NewsID);
       $news_id=$record[NEWS_ID];
       $news_date=date($plugin_tx[$plugin]['news_date_format'],$record[NEWS_DATE]);
       $news_title=$record[NEWS_TITLE];
       $news_headline=$record[NEWS_HEADLINE];
       $news_story=$record[NEWS_STORY];
       $news_frontpage=$record[NEWS_FRONTPAGE];
       $news_startdate=date($plugin_tx[$plugin]['news_date_format'],$record[NEWS_STARTDATE]);
       $news_enddate=date($plugin_tx[$plugin]['news_date_format'],$record[NEWS_ENDDATE]);
       $news_status=$record[NEWS_STATUS];
       $news_rssfeed=$record[NEWS_RSSFEED];
       unset($status);
       $status[$news_status]="selected";
       $checked=($news_frontpage=="on")?"CHECKED":"";
       $rsschecked=($news_rssfeed=="on")?"CHECKED":"";
    }
    // Display news item form
    $t.="<div class=\"fields_block\"><div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
    //$t.="<div>&nbsp;</div>";
    $t.="<form name=\"advancednews\" method=\"post\" action=\"$sn?&".$plugin."&admin=plugin_main\"><input type=\"hidden\" name=\"page\" value=\"".$ret_page."\">";
    $t.="<table width=\"100%\"><tr><td><input type=\"hidden\" name=\"news_id\" value=\"".$news_id."\"></td></tr>";
    $t.="<tr><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_date_label']."</span></td><td width=\"5%\">&nbsp;</td><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_startdate_label']."</span></td><td width=\"5%\">&nbsp;</td><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_enddate_label']."</span></td></tr><tr>";
// Start modify [JAT] 31/10/2005
    $t.="<td width=\"30%\"><input type=\"text\" name=\"news_date\" id=\"date1\" value=\"".$news_date."\" size=\"10\" maxlength=\"10\" onfocus=\"this.blur()\" />&nbsp;<img src=\"".$plugin_images_folder."btn_calendar.gif\" align=\"middle\" border=\"0\" id=\"trig_date1\" title=\"".$plugin_tx[$plugin]['news_tooltip_datepicker']."\" /></img></td><td width=\"5%\">&nbsp;</td>";
    $t.="<td width=\"30%\"><input type=\"text\" name=\"news_startdate\" id=\"date2\" value=\"".$news_startdate."\" size=\"10\" maxlength=\"10\" onfocus=\"this.blur()\">&nbsp;<img src=\"".$plugin_images_folder."btn_calendar.gif\" align=\"middle\" border=\"0\" id=\"trig_date2\" title=\"".$plugin_tx[$plugin]['news_tooltip_datepicker']."\" /></img></td><td width=\"5%\">&nbsp;</td>";
    $t.="<td width=\"30%\"><input type=\"text\" name=\"news_enddate\" id=\"date3\" value=\"".$news_enddate."\" size=\"10\" maxlength=\"10\" onfocus=\"this.blur()\">&nbsp;<img src=\"".$plugin_images_folder."btn_calendar.gif\" align=\"middle\" border=\"0\" id=\"trig_date3\" title=\"".$plugin_tx[$plugin]['news_tooltip_datepicker']."\" /></img></td></tr><tr>";
// End modify [JAT] 31/10/2005
// Start added [JAT] 31/10/2005
    $t.="<script type=\"text/javascript\">Calendar.setup({inputField : \"date1\",ifFormat : \"".$cal_format."\",button : \"trig_date1\",align : \"Br\",singleClick : false,firstDay: 1,weekNumbers : false,electric:false,showsTime:false,timeFormat: \"24\"});Calendar.setup({inputField : \"date2\",ifFormat : \"".$cal_format."\",button : \"trig_date2\",align : \"Br\",singleClick : true,firstDay: 1,weekNumbers : false,electric:false,showsTime:false,timeFormat: \"24\"});Calendar.setup({inputField : \"date3\",ifFormat : \"".$cal_format."\",button : \"trig_date3\",align : \"Br\",singleClick : false,firstDay: 1,weekNumbers : false,electric:false,showsTime:false,timeFormat: \"24\"});</script>";
// End added [JAT] 31/10/2005
    $t.="<td width=\"30%\"><span>".$plugin_tx[$plugin]['news_status_label']."</span></td><td width=\"5%\">&nbsp;</td><td width=\"30%\">&nbsp;</span></td><td width=\"5%\">&nbsp;</td><td width=\"30%\"><span>&nbsp;</span></td></tr><tr>";
    $t.="<td width=\"30%\"><select name=\"news_status\"><option value=\"0\" ".$status[0].">".$plugin_tx[$plugin]['news_readyforpublishing']."</option><option value=\"1\" ".$status[1].">".$plugin_tx[$plugin]['news_published']."</option><option value=\"2\" ".$status[2].">".$plugin_tx[$plugin]['news_archived']."</option><option value=\"3\" ".$status[3].">".$plugin_tx[$plugin]['news_backuped']."</option></select></td>";
    $t.="<td width=\"5%\">&nbsp;</td><td width=\"30%\"><input type=\"checkbox\" name=\"news_frontpage\"".$checked." />&nbsp;<span>".$plugin_tx[$plugin]['news_frontpage_label']."</span></td>";
    $t.="<td width=\"5%\">&nbsp;</td><td width=\"30%\"><input type=\"checkbox\" name=\"news_rssfeed\"".$rsschecked." />&nbsp;<span>".$plugin_tx[$plugin]['news_rss_label']."</span></td></tr>";
    $t.="<tr><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_title_label']."</span></td></tr>";
    $t.="<tr><td colspan=\"5\"><input type=\"text\" value=\"".$news_title."\" name=\"news_title\" size=\"70\" maxlength=\"64\" /></td></tr>";
    $t.="<tr><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_headline_label']."</span></td></tr>";
    $t.="<tr><td colspan=\"5\"><textarea class=\"news_headline_field\" name=\"news_headline\" rows=\"3\" cols=\"60\">".$news_headline."</textarea></td></tr>";
    $t.="<tr><td width=\"30%\"><span>".$plugin_tx[$plugin]['news_story_label']."</span></td></tr>";
    $t.="<tr><td colspan=\"5\"><textarea class=\"news_story_field\" name=\"news_story\" id=\"news_story\" rows=\"30\" cols=\"80\">".$news_story."</textarea></td></tr>";
/*
$t.='<tr><td colspan=\"5\">
<table class="edit" width=100% border="1" cellpadding="0" cellspacing="0"><tr><td><table border="0" cellpadding="0" cellspacing="0"><tr><td><script type="text/javascript">tables();</script></td></tr></table></td></tr><tr><td>
<script type="text/javascript">
    document.write(\'<iframe id="f" value="'.$news_story.'\" width="450px" height="\'+('.$cf['editor']['height'].')+\'"></iframe>\');
</script></td></tr></table><p style="visibility:hidden;position:absolute;left:0;top:0"><textarea name="news_story" id="news_story" style="width: 0;height: 0;visibility: hidden;"></textarea></p></td></tr>';

*/
    switch ($action){
        case "add_news":
            $t.="<tr><td>&nbsp;<input type=\"hidden\" name=\"do\" value=\"add\" /></td></tr>";
            $button_label=$plugin_tx[$plugin]['news_btn_add'];
            break;
        case "modify_news":
            $t.="<tr><td>&nbsp;<input type=\"hidden\" name=\"do\" value=\"modify\" /></td></tr>";
            $button_label=$plugin_tx[$plugin]['news_btn_modify'];
            break;
        case "delete_news":
            $t.="<tr><td>&nbsp;<input type=\"hidden\" name=\"do\" value=\"delete\" /></td></tr>";
            $button_label=$plugin_tx[$plugin]['news_btn_delete'];
            break;
    }
    $t.="<tr><td colspan=\"5\" align=\"center\"><input type=\"submit\" name=\"save\" value=\"".$button_label."\">&nbsp;&nbsp;&nbsp;<input type=\"button\" name=\"cancel\" value=\"".$plugin_tx[$plugin]['news_btn_cancel']."\" onclick='location.href=\"".$sn."?&".$plugin."&admin=plugin_main&action=plugin_text&page=".$ret_page."\"'></td></tr>";
    $t.="</table></form>";
    $t.="</div>";
    return($t);
}

function make_timestamp_date($tmpdate=null){
    global $plugin_cf,$plugin_tx,$plugin;
    $my_date_format=split('[/]',$plugin_tx[$plugin]['news_date_format']);
    if (count($my_date_format)>1){$date_separator="/";}else{
        $my_date_format=split('[.]',$plugin_tx[$plugin]['news_date_format']);
        if (count($my_date_format)>1){$date_separator=".";}else{
            $my_date_format=split('[-]',$plugin_tx[$plugin]['news_date_format']);
            if (count($my_date_format)>1){$date_separator="-";}
        }
    }
    for($aCounter=0;$aCounter<=2;$aCounter++){
      switch ($my_date_format[$aCounter]){
        case 'd':
            $dayposition=$aCounter;
            $my_detected_date_format[$dayposition]=$my_date_format[$aCounter];
            $cal_date_format[$dayposition]="DD";
            $regex[$dayhposition]='([0-9]{1,2})';
            break;
        case 'm':
            $monthposition=$aCounter;
            $my_detected_date_format[$monthposition]=$my_date_format[$aCounter];
            $cal_date_format[$monthposition]="MM";
            $regex[$monthposition]='([0-9]{1,2})';
            break;
        case 'y':
            $yearposition=$aCounter;
            $my_detected_date_format[$yearposition]=$my_date_format[$aCounter];
            $cal_date_format[$yearposition]="YY";
            $regex[$yearposition]='([0-9]{2})';
            break;
        case 'Y':
            $yearposition=$aCounter;
            $my_detected_date_format[$yearposition]=$my_date_format[$aCounter];
            $cal_date_format[$yearposition]="YYYY";
            $regex[$yearposition]='([0-9]{4})';
            break;
      }
    }
    foreach($my_detected_date_format as $key=>$value){
        if ($key<(count($my_detected_date_format)-1)){$date_format.=$value.$date_separator;}else{$date_format.=$value;}
    }
    foreach($cal_date_format as $key=>$value){
        $cal_format.=$value;
    }
    foreach($regex as $key=>$value){
        if ($key<(count($regex)-1)){$regex_format.=$value.$date_separator;}else{$regex_format.=$value;}
    }
   if ($tmpdate==null){$tmpdate=date($plugin_tx[$plugin]['news_date_format'],time());}
    if (ereg($regex_format, $tmpdate)) {
        $dateArr = split('[-,/,.]', $tmpdate);
        $m=$dateArr[$monthposition]; $d=$dateArr[$dayposition]; $y=$dateArr[$yearposition];
    }
    $tmpdate=mktime(null,null,null,$m,$d,$y);
    return($tmpdate);
}

function db_confirm($title,$info,$page){
    // Display a confirmation
    global $plugin_tx,$plugin;
    if (!isset($page)){$page=$_SESSION['page'];}
    $t.="<div><h4>".ucfirst($plugin)."  ".strtoupper($title)."</h4></div>";
    $t.="<div>&nbsp;</div>";
    $t.="<form name=\"confirm\" method=\"post\" action=\"".$sn."?&".$plugin."&admin=plugin_main\">";
    $t.="<table width=\"100%\"><tbody>";
    $t.="<tr><td class=\"confirm_info\" align=\"center\">".$info."</td></tr><tr><td>&nbsp;</td></tr>";
    $t.="<tr><td class=\"confirm_button\" align=\"center\"><input type=\"button\" name=\"cancel\" value=\"&nbsp;".$plugin_tx[$plugin]['news_btn_ok']."&nbsp;\" onclick='location.href=\"".$sn."?&".$plugin."&admin=plugin_main&action=plugin_text&page=".$page."\"' /></td></tr>";
    $t.="</tbody></table></form>";
    $t.="<div>&nbsp;</div>";
    return($t);
}

?>
